{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-123.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-Compress-Raw-Zlib-2.209-1.fc40",
        "store-results-to": "/tmp/tmpzj91mnrn/perl-Compress-Raw-Zlib-2.209-1.fc40.tar.xz",
        "time-created": "2024-07-03 16:39:06",
        "time-finished": "2024-07-03 16:40:27",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpzj91mnrn/perl-Compress-Raw-Zlib-2.209-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpzj91mnrn/perl-Compress-Raw-Zlib-2.209-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6e508efe61ed201324d320409dab58274d6eed95",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 2771,
                    "column": 6,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 2771,
                    "column": 6,
                    "event": "note",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2769|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2770|   \tif (items < 4)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2771|-> \t    eof = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2772|   \telse {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2773|   \t    eof = (bool)SvTRUE(ST(3))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4b44869943679120c93567d213366cd2f9f44dd5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 2773,
                    "column": 6,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 2773,
                    "column": 6,
                    "event": "note",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2771|   \t    eof = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2772|   \telse {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2773|-> \t    eof = (bool)SvTRUE(ST(3))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2774|   ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2775|   \t}",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "33eeb7bb4318c72dc4aadfa12a4cf529a4a8814c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 3628,
                    "column": 6,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'out' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 3628,
                    "column": 6,
                    "event": "note",
                    "message": "Value stored to 'out' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3626|   \t    out = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3627|   \telse {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3628|-> \t    out = ST(2)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3629|   ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3630|   \t}",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6e508efe61ed201324d320409dab58274d6eed95",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 3633,
                    "column": 6,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 3633,
                    "column": 6,
                    "event": "note",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3631|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3632|   \tif (items < 4)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3633|-> \t    eof = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3634|   \telse {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3635|   \t    eof = (bool)SvTRUE(ST(3))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4b44869943679120c93567d213366cd2f9f44dd5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 3635,
                    "column": 6,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 3635,
                    "column": 6,
                    "event": "note",
                    "message": "Value stored to 'eof' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3633|   \t    eof = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3634|   \telse {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3635|-> \t    eof = (bool)SvTRUE(ST(3))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3636|   ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3637|   \t}",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ce162501305a2457eb4c8f11f5c517dd3fb723c2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 4243,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Zlib-2.209-build/Compress-Raw-Zlib-2.209/Zlib.c",
                    "line": 4243,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4241|       char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4242|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4243|->     const char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4244|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4245|   ",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
